##
##  autojar.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         autojar
Summary:      Jar File Reduction Utility
URL:          http://autojar.sourceforge.net/
Vendor:       Bernd Eggink
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Archiver
License:      GPL
Version:      2.1
Release:      20110731

#   list of sources
Source0:      http://download.sourceforge.net/autojar/autojar-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, java, JAVA-JDK
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    AutoJAR creates JAR files of minimal size from different inputs like
    own classes or external archives. It scans the bytecode recursively
    for references to other classes, extracts these from the archives,
    and copies them to the output.

%track
    prog autojar = {
        version   = %{version}
        url       = http://sourceforge.net/projects/autojar/files/
        regex     = autojar-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    ( echo "#!/bin/sh"
      echo "exec %{l_prefix}/bin/java \\"
      echo "    -jar %{l_prefix}/lib/autojar/autojar.jar \\"
      echo "    \${1+\"\$@\"}"
    ) >autojar

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/autojar
    %{l_shtool} install -c -m 755 \
        autojar $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        autojar.jar $RPM_BUILD_ROOT%{l_prefix}/lib/autojar/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

